#pragma once
#include "Framework.h"
#include "Vertex.h"
#include "Matrix.h"
#include <vector>

class Rasteriser : public Framework
{
public:
	bool Initialise();
	void Update(const Bitmap& bitmap);
	void Render(const Bitmap& bitmap);

	void DrawSquare(HDC hDc, const vector<Vertex> verticies);
	void DrawShape(HDC hDc, const vector<Vertex> verticies);

	Vertex Translate(const Vertex vertexIn, const float moveXBy,  const float moveYBy);
	Vertex Scale(const Vertex vertexIn, const float scaleXBy, const float scaleYBy);
	Vertex Rotate(const Vertex vertexIn, const float rotationDegrees);

	float DegreesToRadians(const float degrees);

private:
	vector<Vertex> _vertexArray;	
	const float _PI = (float) acos(-1);
};

